roar_vs_iterate(3)

NAME
roar_vs_iterate, roar_vs_run - Iterate streams

SYNOPSIS

#include <roaraudio.h>

int roar_vs_iterate (roar_vs_t * vss, int wait, int * error);

int roar_vs_run (roar_vs_t * vss, int * error);

DESCRIPTION
roar_vs_iterate() sends a block of data from the local buffer to the server or reads data from the server into the local buffer in blocking mode, or pushes or pulls data to or from server in file mode.

roar_vs_run() does the same as roar_vs_iterate() but loops until EOF or error.

PARAMETERS

vss The VS object to be used.

wait
    If ROAR_VS_WAIT roar_vs_iterate() will block until data has been synced with the server. If ROAR_VS_NOWAIT roar_vs_iterate() will not block if no data can be send to or read from the server.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On EOF these calls return 0. roar_vs_iterate() returns a positive value on non-EOF success. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).